%define plf 0
%define enable_extrusion 1
%define disable_inappropriate 1
# Allow --with[out] <feature> at rpm command line build
%{?_with_plf: %{expand: %%global plf 1}}
%{?_without_plf: %{expand: %%global plf 0}}
%{?_with_extrusion: %{expand: %%global enable_extrusion 1}}
%{?_without_extrusion: %{expand: %%global enable_extrusion 0}}
%{?_with_inappropriate: %{expand: %%global disable_inappropriate 0}}
%{?_without_inappropriate: %{expand: %%global disable_inappropriate 1}}

%if %plf
%define distsuffix plf
%define disable_inappropriate 0
%endif
%if "%distro_section" == "tainted"
%global plf 1
%global disable_inappropriate 0
%endif

Summary:	A set of X Window System screen savers
Name:		xscreensaver
Version:	6.09
Release:	%mkrel 2
License:	BSD
Group:		Graphical desktop/Other
URL:		https://www.jwz.org/xscreensaver/
Source0:	https://www.jwz.org/xscreensaver/%{name}-%{version}.tar.gz
Source1:	xscreensaver-newlogin-wrapper
# (fc) 4.05-3mdk disable openGL hacks by default
Patch2:		xscreensaver-5.09-noGL.patch
# (fc) 4.23-1mdk disable inappropriate stuff (Mdk bug #19866)
Patch4:		xscreensaver-5.00-inappropriate.patch
# Only Themed should be enabled
Patch5:		xscreensaver-6.06-defaultconfig.patch
Patch6:		xscreensaver-6.07-mga-fix-desktop-file-for-lxde.patch
Requires:	xscreensaver-base = %{version}-%{release}
Requires:	xscreensaver-common = %{version}-%{release}
Requires:	fortune-mod
Requires:	mageia-theme-screensaver
Requires:	xdg-utils
Requires:	procps-ng
Requires:	dbus
#BuildRequires:	gdm
BuildRequires:	bc
BuildRequires:	fortune-mod
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pam-devel
BuildRequires:	pkgconfig(xpm)
BuildRequires:	pkgconfig(libglade-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	imagemagick
BuildRequires:	pkgconfig(gdk-pixbuf-xlib-2.0)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(freeglut)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xi)
BuildRequires:	pkgconfig(xinerama)
BuildRequires:	pkgconfig(xmu)
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(xt)
BuildRequires:	pkgconfig(xxf86vm)
BuildRequires:	pkgconfig(xft)
BuildRequires:	intltool
BuildRequires:	pkgconfig(libsystemd)
%if %enable_extrusion
BuildRequires:	libgle-devel
%endif
BuildRequires:	desktop-file-utils
BuildRequires:	xdg-utils
BuildRequires:	mageia-theme-screensavers

%description
The xscreensaver package contains a variety of screen savers for your
mind-numbing, ambition-eroding, time-wasting, hypnotized viewing
pleasure.

Install the xscreensaver package if you need screen savers for use with
the X Window System.

%if %plf
This package is in the "tainted" section as it contains copyrighted images.
%endif

%package base
Summary:	A set of screen savers
Group:		Graphical desktop/Other
Requires:	xscreensaver-common = %{version}-%{release}
Conflicts:	xscreensaver < 5.00-2
Requires:	words
Requires:	xwininfo

%description base
Various screen savers used by Xscreensaver.

%package common
Summary:	Utilities used by xscreensaver screen savers
Group:		Graphical desktop/Other
Conflicts:	xscreensaver < 5.00-2
Obsoletes:	xscreensaver-utils < %{version}-%{release}
Provides:	xscreensaver-utils = %{version}-%{release}
Requires:	chbg

%description common
Utilities used by xscreensaver screen savers.

%package gl
Summary:	A set of GL screen savers
Group:		Graphical desktop/Other
Requires:	xscreensaver-common = %{version}-%{release}
Requires(post):	xscreensaver-common = %{version}-%{release}
Requires(postun):	xscreensaver-common = %{version}-%{release}
Requires:	appres

%description gl
The xscreensaver-gl package contains even more screen savers for your
mind-numbing, ambition-eroding, time-wasting, hypnotized viewing
pleasure. These screen savers require OpenGL or Mesa support.

Install the xscreensaver-gl package if you need more screen savers for
use with the X Window System and you have OpenGL or Mesa installed.

%if %plf
%package matrix
Summary:	The Matrix screen savers
Group:		Graphical desktop/Other
Requires:	xscreensaver-common = %{version}-%{release}

%description matrix
The xscreensaver-matrix package contains two screen savers for
xscreensaver based on the movie The Matrix. It is in the "tainted" section
because there might by copyright problems with the artwork used in this
screen savers.
%endif

%if %enable_extrusion
%package extrusion
Summary:	OpenGL screen saver
Group:		Graphical desktop/Other
Requires:	xscreensaver-common = %{version}-%{release}

%description extrusion
The xscreensaver-extrusion package contains the extrusion
screen savers for your mind-numbing, ambition-eroding, time-wasting,
hypnotized viewing pleasure. This screen saver requires OpenGL or Mesa
support.

This screen saver is in a separate package, because it is the only
application in %{distribution} which requires the GLE extrusion library.
%endif

%prep
%setup -q
%patch -P 2 -p1 -b .noGL
%if %{disable_inappropriate}
%patch -P 4 -p1 -b .inappropriate
%endif

# WARNING this patch must ALWAYS be applied, if it fails, REGENERATE it !!!
%patch -P 5 -p1 -b .defaultconfig

%patch -P 6 -p1 -b .fix-for-lxde

%build
%ifarch %{arm} aarch64
CFLAGS="%optflags -flax-vector-conversions"
export CFLAGS
%endif

mv po/Makefile.in.in po/Makefile.in.in.save
touch config.rpath
autoreconf -vfi
rm -f po/Makefile.in.in
mv po/Makefile.in.in.save po/Makefile.in.in
pushd po
sed -i Makefile.in.in \
	-e "\@^POFILES[ \t]*=@s@^.*@POTFILES\t=$(ls -1 *po | grep -v ca.po | grep -v lt.po | while read f ; do echo -n -e " $f" ; done)@" \
	-e "\@^GMOFILES[ \t]*=@s@^.*@GMOTFILES\t=$(ls -1 *po | grep -v ca.po | grep -v lt.po | while read f ; do echo -n -e " ${f%.po}.gmo" ; done)@" \
	-e "\@^CATALOGS[ \t]*=@s@^.*@CATALOGS\t=$(ls -1 *po | grep -v ca.po | grep -v lt.po | while read f ; do echo -n -e " ${f%.po}.gmo" ; done)@" \
	-e "\@^CATOBJEXT[ \t]*=@s@^.*@CATOBJEXT\t= .gmo@" \
	-e "\@^INSTOBJEXT[ \t]*=@s@^.*@INSTOBJEXT\t= .mo@" \
	-e "\@^MKINSTALLDIRS[ \t]*=@s@^.*@MKINSTALLDIRS\t= install -d@" \
	%{nil}
popd
eval "$(echo '%configure' | sed "s/--disable-dependency-tracking //")" \
    --enable-locking \
    --enable-root-passwd \
    --with-browser=xdg-open \
    --with-dpms-ext \
    --with-xinerama-ext \
    --with-xf86vmode-ext \
    --with-xf86gamma-ext \
    --with-randr-ext \
    --with-login-manager=xscreensaver-newlogin-wrapper \
    --without-shadow \
    --with-pixbuf \
    --with-jpeg \
    --with-png \
    --with-xft \
    --with-xshm-ext \
    --with-xdbe-ext \
    --without-setuid-hacks \
    --with-gtk \
    --without-motif \
    --with-pam \
    --with-gl \
    --with-image-directory="%{_datadir}/mga/screensaver" \
    --without-kerberos \
%if %enable_extrusion
    --with-gle
%else
    --without-gle
%endif

%make_build

%install
rm -rf %{buildroot} gl-extras.files base.files %{name}.lang
mkdir -p %{buildroot}%{_sysconfdir}/X11/app-defaults/
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man6
mkdir -p %{buildroot}%{_sysconfdir}/pam.d
mkdir -p %{buildroot}%{_libexecdir}/xscreensaver

# translate desktop file
intltool-merge -d ./po ./driver/xscreensaver-settings.desktop.in ./driver/xscreensaver-settings.desktop

make install_prefix=%{buildroot} bindir=%{_bindir} \
 KDEDIR=%{_prefix} GNOME_BINDIR=%{_bindir}  GNOME_DATADIR=%{_datadir} \
 mandir=%{_mandir} AD_DIR=%{_sysconfdir}/X11/app-defaults/ \
 gnulocaledir=%{_datadir}/locale install

install -c -m 644 hacks/config/themed.xml %{buildroot}%{_datadir}/xscreensaver/config/themed.xml

install -c -m 0755 %{SOURCE1} %{buildroot}%{_libexecdir}/xscreensaver

cat<<EOF >README.GL
The xscreensaver-gl package contains even more screen savers for your
mind-numbing, ambition-eroding, time-wasting, hypnotized viewing
pleasure. These screen savers require OpenGL or Mesa support.

Install the xscreensaver-gl package if you need more screen savers for
use with the X Window System and you have OpenGL or Mesa installed.
EOF

%__mkdir_p %{buildroot}%{_datadir}/applications/
%__cp -a driver/*.desktop %{buildroot}%{_datadir}/applications/

desktop-file-install \
  --remove-category="Application" \
  --remove-category="AdvancedSettings" \
  --remove-category="Appearance" \
  --remove-category="Screensaver" \
  --add-category="Settings" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%if 0
#icons
mkdir -p %{buildroot}%{_datadir}/pixmaps
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
cp %{SOURCE1}  %{buildroot}%{_datadir}/pixmaps
convert -scale 16x16 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
convert -scale 32x32 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
ln -s %{_datadir}/pixmaps/xscreensaver-capplet.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%endif

#remove unpackaged files
rm -f %{buildroot}%{_datadir}/xscreensaver/config/xjack.xml
rm -f %{buildroot}%{_mandir}/man6/xjack.6
rm -f  %{buildroot}%{_libexecdir}/xscreensaver/xjack

%if ! %plf
rm -rf %{buildroot}%{_libexecdir}/xscreensaver/*matrix
rm -rf %{buildroot}%{_mandir}/man6/*matrix*
rm -rf %{buildroot}%{_datadir}/xscreensaver/config/*matrix*
%endif
%if ! %enable_extrusion
rm -f %{buildroot}%{_datadir}/xscreensaver/config/extrusion.xml
rm -f %{buildroot}%{_mandir}/man6/extrusion.6
%endif

# Ship xscreensaver-auth setuid (mga#31539)
chmod 4755 %{buildroot}%{_libexecdir}/xscreensaver/xscreensaver-auth

%find_lang %{name}

# This function prints a list of things that get installed.
# It does this by parsing the output of a dummy run of "make install".
#
list_files() {
  make -s install_prefix=%{buildroot} mandir=%{_mandir}/ \
  bindir=%{_bindir} INSTALL=true "$@"	\
   | sed -n -e 's@.* \(/[^ ]*\)$@\1@p'				\
   | sed    -e "s@^%{buildroot}@@"				\
	    -e "s@/[a-z][a-z]*/\.\./@/@"			\
   | sed    -e 's@\(.*/man/.*\)@\1\*@'				\
   | sed    -e 's@\(.*/app-defaults/\)@%config \1@'		\
	    -e 's@\(.*/pam\.d/\)@%config(missingok) \1@'	\
   | sort
}

# Generate three lists of files for the three packages.
#
dd=%{_builddir}/%{name}-%{version}
( cd hacks/glx ; list_files install > $dd/gl-extras.files)
( cd hacks     ; list_files install > $dd/base.files)

#gw remove the files we don't package:
perl -pi -e "s/.*(themed|xjack|matrix|extrusion).*//" gl-extras.files base.files

%find_lang %{name}

%post gl
sed -i -e 's/\A-\s+GL:/ GL:/' %{_sysconfdir}/X11/app-defaults/XScreenSaver

%postun gl
sed -i -e '/\A\s*GL:/ and print "- $_" or print "$_"' %{_sysconfdir}/X11/app-defaults/XScreenSaver

%files -f %{name}.lang
%config(noreplace) %{_sysconfdir}/pam.d/xscreensaver
%doc README
%{_mandir}/man1/xscreensaver-command.1*
%{_mandir}/man1/xscreensaver-demo.1*
%{_mandir}/man1/xscreensaver-settings.1*
%{_mandir}/man1/xscreensaver.1*
%attr(755,root,chkpwd) %{_bindir}/xscreensaver
%{_bindir}/xscreensaver-command
%{_bindir}/xscreensaver-demo
%{_bindir}/xscreensaver-settings
%dir %{_datadir}/xscreensaver
%{_datadir}/xscreensaver/xscreensaver.service
%{_datadir}/applications/
%{_datadir}/pixmaps/
%{_datadir}/xscreensaver/config/themed.xml
%{_datadir}/fonts/%{name}/*.ttf

%files common
%config(noreplace) %{_sysconfdir}/X11/app-defaults/*
%dir %{_libexecdir}/%{name}
%{_libexecdir}/%{name}/xscreensaver-*
%{_mandir}/man6/xscreensaver-*.6*
%dir %{_datadir}/%{name}/config
%{_datadir}/%{name}/config/README

%files base -f base.files
%exclude %{_datadir}/xscreensaver/config/themed.xml

%files gl -f gl-extras.files
%doc README.GL

%if %enable_extrusion
%files extrusion
%doc README.GL
%{_datadir}/xscreensaver/config/extrusion.xml
%{_mandir}/man6/extrusion.6*
%{_libexecdir}/xscreensaver/extrusion
%endif

%if %plf
%files matrix
%doc README.GL
%{_mandir}/man6/xmatrix.6*
%{_mandir}/man6/glmatrix.6*
%{_datadir}/xscreensaver/config/glmatrix.xml
%{_datadir}/xscreensaver/config/xmatrix.xml
%{_libexecdir}/xscreensaver/xmatrix
%{_libexecdir}/xscreensaver/glmatrix
%endif


%changelog
* Sun Mar 16 2025 wally <wally> 6.09-2.mga10
+ Revision: 2165076
- rebuild for libxml2 2.13.6

* Mon Jun 10 2024 ns80 <ns80> 6.09-1.mga10
+ Revision: 2072415
- new version 6.09

* Mon Oct 16 2023 ns80 <ns80> 6.08-1.mga10.tainted
+ Revision: 1997178
- new version 6.08
- fix requires

* Fri Sep 01 2023 ns80 <ns80> 6.07-2.mga10.tainted
+ Revision: 1983234
- add a patch to fix xscreensaver-settings desktop file for LXDE

* Fri Sep 01 2023 ns80 <ns80> 6.07-1.mga10.tainted
+ Revision: 1983177
- new version 6.0.7

* Sun Jun 11 2023 daviddavid <daviddavid> 6.06-3.mga9
+ Revision: 1961756
- remove unmaintained xf86misc support now disable by default (fix mga#31867)

* Sat Feb 11 2023 daviddavid <daviddavid> 6.06-2.mga9.tainted
+ Revision: 1940122
- ship xscreensaver-auth setuid (mga#31539)

* Mon Dec 12 2022 ns80 <ns80> 6.06-1.mga9.tainted
+ Revision: 1920952
- new version 6.06

* Tue Sep 13 2022 ns80 <ns80> 6.05-1.mga9.tainted
+ Revision: 1887527
- new version 6.05

* Wed Jun 01 2022 ns80 <ns80> 6.04-1.mga9
+ Revision: 1861002
- new version 6.04

* Thu Mar 31 2022 umeabot <umeabot> 6.03-2.mga9.tainted
+ Revision: 1837409
- Mageia 9 Mass Rebuild

* Mon Mar 07 2022 ns80 <ns80> 6.03-1.mga9.tainted
+ Revision: 1789440
- new version 6.03

* Mon Dec 20 2021 ns80 <ns80> 6.02-3.mga9.tainted
+ Revision: 1763021
- remove duplicate desktop entry (mga#29789)

* Wed Oct 13 2021 ns80 <ns80> 6.02-2.mga9.tainted
+ Revision: 1751166
- bump rel
- new version 6.02

* Mon Jun 14 2021 ns80 <ns80> 6.01-1.mga9
+ Revision: 1730668
- new version 6.01

* Fri May 07 2021 ns80 <ns80> 6.00-5.mga9
+ Revision: 1722170
- replace qdbus by dbus-send

* Mon May 03 2021 ns80 <ns80> 6.00-4.mga9.tainted
+ Revision: 1721055
- add missing BR

* Sat May 01 2021 ns80 <ns80> 6.00-3.mga9.tainted
+ Revision: 1720741
- fix displaying Mageia Themed screensaver

* Fri Apr 30 2021 ns80 <ns80> 6.00-2.mga9.tainted
+ Revision: 1720522
+ rebuild (emptylog)

* Fri Apr 30 2021 ns80 <ns80> 6.00-2.mga9
+ Revision: 1720516
- try to fix mga#28421

* Thu Apr 08 2021 ns80 <ns80> 6.00-1.mga9.tainted
+ Revision: 1714113
- new version 6.00

* Wed Dec 16 2020 ns80 <ns80> 5.45-1.mga8
+ Revision: 1658092
- new version 5.45
+ wally <wally>
- add missing gdk-pixbuf-xlib-2.0 BR (for xscreensaver-demo)

* Mon Nov 30 2020 kekepower <kekepower> 5.44-3.mga8
+ Revision: 1650780
- Fix build issues

* Thu Jul 30 2020 ns80 <ns80> 5.44-2.mga8.tainted
+ Revision: 1609878
- try to fix build

* Thu Mar 26 2020 ns80 <ns80> 5.44-1.mga8
+ Revision: 1560782
- new version 5.44

* Sat Feb 15 2020 umeabot <umeabot> 5.43-2.mga8.tainted
+ Revision: 1526839
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Jul 03 2019 ns80 <ns80> 5.43-1.mga8.tainted
+ Revision: 1417884
- new version 5.43

* Sun Dec 30 2018 luigiwalser <luigiwalser> 5.42-1.mga7.tainted
+ Revision: 1346840
- 5.42

* Sat Dec 29 2018 luigiwalser <luigiwalser> 5.41-1.mga7.tainted
+ Revision: 1346157
- remove illegal C++-style comments in fontglide hack
- 5.41

* Mon Aug 27 2018 ns80 <ns80> 5.40-1.mga7.tainted
+ Revision: 1254875
- new version 5.40

* Tue Apr 17 2018 ns80 <ns80> 5.39-2.mga7.tainted
+ Revision: 1219620
- bump rel for tainted

* Tue Apr 17 2018 ns80 <ns80> 5.39-1.mga7
+ Revision: 1219614
- new version 5.39

* Thu Dec 21 2017 ns80 <ns80> 5.38-2.mga7.tainted
+ Revision: 1183636
- bump rel for tainted

* Thu Dec 21 2017 ns80 <ns80> 5.38-1.mga7
+ Revision: 1183635
- new version 5.38

* Fri Sep 15 2017 ns80 <ns80> 5.37-9.mga7.tainted
+ Revision: 1154226
- bump rel for tainted

* Mon Sep 04 2017 ns80 <ns80> 5.37-8.mga7
+ Revision: 1151103
- drop UTF-8 patch, not needed anymore

* Mon Jul 17 2017 ns80 <ns80> 5.37-2.mga7.tainted
+ Revision: 1124065
- bump release for tainted

* Mon Jul 17 2017 ns80 <ns80> 5.37-1.mga7
+ Revision: 1124047
- new version 5.37

* Wed Jan 04 2017 ns80 <ns80> 5.36-3.mga6
+ Revision: 1080071
+ rebuild (emptylog)

* Wed Oct 12 2016 akien <akien> 5.36-3.mga6.tainted
+ Revision: 1060574
- Build in Tainted

* Wed Oct 12 2016 akien <akien> 5.36-2.mga6
+ Revision: 1060561
- Build in Core

* Wed Oct 12 2016 ns80 <ns80> 5.36-1.mga6.tainted
+ Revision: 1060465
- new version 5.36

* Tue May 31 2016 ns80 <ns80> 5.35-4.mga6.tainted
+ Revision: 1019545
- new version of version 5.35
- drop patch incorrect-comments (problem solved upstream)

* Tue May 24 2016 luigiwalser <luigiwalser> 5.35-3.mga6
+ Revision: 1018173
- actually remove invalid comments

* Tue May 24 2016 ns80 <ns80> 5.35-2.mga6.tainted
+ Revision: 1018152
+ rebuild (emptylog)

* Tue May 24 2016 ns80 <ns80> 5.35-1.mga6
+ Revision: 1018145
- new version 5.35

* Wed Feb 17 2016 umeabot <umeabot> 5.34-3.mga6.tainted
+ Revision: 963653
- Mageia 6 Mass Rebuild

* Mon Oct 26 2015 ns80 <ns80> 5.34-2.mga6.tainted
+ Revision: 895578
+ rebuild (emptylog)

* Mon Oct 26 2015 ns80 <ns80> 5.34-1.mga6.tainted
+ Revision: 895532
- new version 5.34 which corrects a security issue (mga#17012)

* Tue Sep 01 2015 alexl <alexl> 5.33-4.mga6.tainted
+ Revision: 871711
- add GenericName
- create translated desktop file

* Tue Jul 07 2015 ns80 <ns80> 5.33-3.mga6.tainted
+ Revision: 852386
- Add patch disable-too-old-warning to get rid of warnings saying that this
  version is too old (mga#16292)

* Mon Jul 06 2015 ns80 <ns80> 5.33-2.mga6.tainted
+ Revision: 851854
- Replace PLF with tainted section

* Thu Jul 02 2015 wally <wally> 5.33-1.mga6
+ Revision: 849521
- new version 5.33
- rediff defaultconfig patch

* Thu Jan 22 2015 akien <akien> 5.29-6.mga5
+ Revision: 811855
- Fix truncated date on xscreensaver unlock (mga#11743, ns80)

* Tue Nov 11 2014 alexl <alexl> 5.29-5.mga5
+ Revision: 796490
- update utf8 patch (mga#11743)

* Sun Nov 02 2014 alexl <alexl> 5.29-4.mga5
+ Revision: 795178
- fix UTF-8 -> ISO-8859-1 issue (mga#11743)

* Wed Oct 15 2014 umeabot <umeabot> 5.29-3.mga5
+ Revision: 749022
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.29-2.mga5
+ Revision: 690768
- Mageia 5 Mass Rebuild

* Thu Jun 12 2014 luigiwalser <luigiwalser> 5.29-1.mga5
+ Revision: 635900
- 5.29
- remove upstreamed patches

* Thu May 29 2014 luigiwalser <luigiwalser> 5.27-1.mga5
+ Revision: 627736
- 5.27

* Sat Jan 11 2014 luigiwalser <luigiwalser> 5.26-3.mga4
+ Revision: 566241
- starwars is in gl subpackage, move appres requiers there

* Thu Jan 02 2014 doktor5000 <doktor5000> 5.26-2.mga4
+ Revision: 563983
- xscreensaver-common requires appres for star wars

* Thu Dec 12 2013 luigiwalser <luigiwalser> 5.26-1.mga4
+ Revision: 556410
- 5.26
- xscreensaver-base requires xwininfo for webcollage

* Thu Nov 14 2013 luigiwalser <luigiwalser> 5.23-1.mga4
+ Revision: 551146
- 5.23

* Sat Oct 19 2013 umeabot <umeabot> 5.22-2.mga4
+ Revision: 530189
- Mageia 4 Mass Rebuild

* Sat Jul 20 2013 luigiwalser <luigiwalser> 5.22-1.mga4
+ Revision: 456581
- 5.22

* Tue Feb 12 2013 luigiwalser <luigiwalser> 5.21-1.mga3
+ Revision: 397946
- 5.21

* Mon Jan 14 2013 umeabot <umeabot> 5.20-2.mga3
+ Revision: 387385
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 19 2012 luigiwalser <luigiwalser> 5.20-1.mga3
+ Revision: 308291
- 5.20

* Sat Jul 28 2012 luigiwalser <luigiwalser> 5.19-1.mga3
+ Revision: 275388
- 5.19

* Wed Jul 04 2012 luigiwalser <luigiwalser> 5.17-1.mga3
+ Revision: 267775
- add fedora patch to fix build
- revert to 5.17 (5.18 broken upstream)
- 5.18

* Sat Apr 28 2012 luigiwalser <luigiwalser> 5.15-4.mga2
+ Revision: 234155
- revert previous incorrect change

* Fri Apr 27 2012 dams <dams> 5.15-3.mga2
+ Revision: 233475
- 'mageia-theme-screensaver' is now a 'suggests' and not a 'require'

* Sun Mar 04 2012 luigiwalser <luigiwalser> 5.15-2.mga2
+ Revision: 218242
- use mageia-theme-screensaver by default
- fix image directory
- remove obsolete configure options

* Tue Nov 01 2011 zezinho <zezinho> 5.15-1.mga2
+ Revision: 160707
- new version

* Tue Aug 30 2011 fwang <fwang> 5.14-3.mga2
+ Revision: 136308
- cleanup brs
- drop mandriva stuff
- new version 5.14

* Sun Jan 23 2011 ahmad <ahmad> 5.12-3.mga1
+ Revision: 34893
- comment out all the gdadou stuff
- use an alternative defaultconfig patch
- disable the requires on mageia-theme-screensaver, doesn't exist yet
- drop old conflicts
- re-enumerate the patches
- configure with --with-image-directory="%%{_datadir}/backrounds"
- don't use xscreensaver-capplet.png, I don't know what license it uses or where
  it comes from
- drop old/unneeded scriptlets
- imported package xscreensaver


* Wed Oct 06 2010 Götz Waschk <waschk@mandriva.org> 5.12-2mdv2011.0
+ Revision: 583606
- work around rpm bug #61207

* Sun Oct 03 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 5.12-1mdv2011.0
+ Revision: 582752
- update to new version 5.12
- disable patch 3
- set gdmflexiserver as a default login manager

* Sun Apr 18 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 5.11-1mdv2010.1
+ Revision: 536072
- update to new version 5.11

* Sun Jan 10 2010 Oden Eriksson <oeriksson@mandriva.com> 5.10-2mdv2010.1
+ Revision: 488979
- fix br deps (gdm)
- fix br deps (makedepend)
- rebuilt against libjpeg v8

  + Götz Waschk <waschk@mandriva.org>
    - drop patch 21 and call make depend instead

* Thu Sep 10 2009 Frederik Himpe <fhimpe@mandriva.org> 5.10-1mdv2010.0
+ Revision: 437464
- Update to new version 5.10
- Rediff deps patch

* Sun Sep 06 2009 Götz Waschk <waschk@mandriva.org> 5.09-1mdv2010.0
+ Revision: 432083
- new version
- rediff patch 11
- drop patch 20
- patch 21: fix deps of some hacks

* Sat Aug 15 2009 Oden Eriksson <oeriksson@mandriva.com> 5.08-4mdv2010.0
+ Revision: 416670
- rebuilt against libjpeg v7

* Mon Jul 20 2009 Colin Guthrie <cguthrie@mandriva.org> 5.08-3mdv2010.0
+ Revision: 398036
- Build with new x11-proto/libxext

* Mon Dec 29 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 5.08-2mdv2009.1
+ Revision: 320794
- Patch9: use xvt script instread of hardcoding default terminal emulator to gnome-terminal

* Sun Dec 28 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 5.08-1mdv2009.1
+ Revision: 320545
- Patch9: rediff to meet nofuzz
- Patch11: rediff to meet nofuzz
- fix buildrequires
- update to new version 5.08

* Sun Sep 07 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 5.07-3mdv2009.0
+ Revision: 282277
- relax perms for real for xscreensaver binary(disabled drop_setgid patch)

* Mon Aug 25 2008 Vincent Danen <vdanen@mandriva.com> 5.07-2mdv2009.0
+ Revision: 275958
- disable the drop_setgid patch for now and relax perms

* Mon Aug 11 2008 Götz Waschk <waschk@mandriva.org> 5.07-1mdv2009.0
+ Revision: 270724
- new version
- rediff patches 9,11

* Thu Jul 17 2008 Funda Wang <fwang@mandriva.org> 5.06-1mdv2009.0
+ Revision: 236674
- BR libxinerama-devel
- New version 5.06

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri May 23 2008 Vincent Danen <vdanen@mandriva.com> 5.05-4mdv2009.0
+ Revision: 210395
- build without shadow support
- add patch to not call setgid()
- make xscreensaver sgid chkpwd; should work with both tcb and shadow passwords now

* Wed Apr 30 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 5.05-3mdv2009.0
+ Revision: 199448
- move locales to the main package
- do not require xscreensaver-base, since now there is only one screensaver GDadou
- fix file list
- Patch9: tune up timeouts

* Wed Apr 30 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 5.05-2mdv2009.0
+ Revision: 199358
- Patch9: install gdadou.xml config file !
- drop patch 15, use xdg-open
- drop patch 18, use realname for icons
- drop X-MandrivLinux category
- revoke dead configure options and add new ones
- add missing buildrequires on gdm
- kill switches for mdv 2006
- do not require words package (dunno what for this was pulled in)
- spec file clean
- TODO maybe split out mandriva specific plugin gdadou to a separate package
- Patch9: fix chbg syntax
- set the DPMS values

* Mon Mar 03 2008 Götz Waschk <waschk@mandriva.org> 5.05-1mdv2008.1
+ Revision: 178160
- new version
- update patch 18
- drop patch 20

* Thu Feb 28 2008 Frederic Crozat <fcrozat@mandriva.com> 5.04-3mdv2008.1
+ Revision: 176409
- Replace mandrake_desk dependency with mandriva-theme-screensaver

* Thu Feb 07 2008 Funda Wang <fwang@mandriva.org> 5.04-2mdv2008.1
+ Revision: 163625
- add ubuntu patch to have it build

  + Thierry Vignaud <tv@mandriva.org>
    - drop old menu
    - fix mesaglu-devel BR
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Nov 14 2007 Götz Waschk <waschk@mandriva.org> 5.04-1mdv2008.1
+ Revision: 108691
- new version

* Thu Sep 20 2007 Frederic Crozat <fcrozat@mandriva.com> 5.03-2mdv2008.0
+ Revision: 91461
- Update patch9 with one background color for GDadou
  Update patch18 to remove icon extension

* Tue Jul 17 2007 Götz Waschk <waschk@mandriva.org> 5.03-1mdv2008.0
+ Revision: 52868
- fix buildrequires

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - new version

* Sun Apr 22 2007 Götz Waschk <waschk@mandriva.org> 5.02-2mdv2008.0
+ Revision: 17004
- fix description

* Sun Apr 22 2007 Götz Waschk <waschk@mandriva.org> 5.02-1mdv2008.0
+ Revision: 16951
- new version


* Wed Sep 20 2006 Götz Waschk <waschk@mandriva.org> 5.01-1mdv2007.0
- rediff patch 15
- New version 5.01

* Fri Jul 07 2006 Götz Waschk <waschk@mandriva.org> 5.00-5mdv2007.0
- fix buildrequires

* Thu Jul 06 2006 Frederic Crozat <fcrozat@mandriva.com> 5.00-4mdv2007.0
- Add obsoletes to ease upgrade
- switch to XDG menu

* Wed Jul 05 2006 Thierry Vignaud <tvignaud@mandriva.com> 5.00-3mdv2007.0
- fix upgrade

* Sat Jun 24 2006 Frederic Crozat <fcrozat@mandriva.com> 5.00-2mdv2007.0
- Slip main packages in seperate subpackages (can be used by gnome-screensaver)
- disable kerberos support, use pam instead

* Thu May 25 2006 Götz Waschk <waschk@mandriva.org> 5.00-1mdk
- install in /usr
- drop patch 20
- update patch 9,19
- New release 5.00

* Thu May 18 2006 Laurent MONTEL <lmontel@mandriva.com> 4.24-2
- Rebuild

* Thu Feb 09 2006 Götz Waschk <waschk@mandriva.org> 4.24-1mdk
- rediff patch 19 aka the Jesus patch
- rediff patch 9
- New release 4.24

* Tue Jan 31 2006 Olivier Blin <oblin@mandriva.com> 4.23-3mdk
- use "include" directive instead of deprecated pam_stack (Patch20)

* Tue Nov 22 2005 Götz Waschk <waschk@mandriva.org> 4.23-2mdk
- fix plf build

* Mon Nov 21 2005 Frederic Crozat <fcrozat@mandriva.com> 4.23-1mdk
- Release 4.23
- Patch19:; disable inappropriate stuff in glsnake (Mdk bug #19866)
- Regenerate patch10

* Thu Sep 22 2005 Frederic Crozat <fcrozat@mandriva.com> 4.22-6mdk
- Update patch15 to fix Mdk bug #9320

* Tue Sep 06 2005 Frederic Crozat <fcrozat@mandriva.com> 4.22-5mdk
- Update patch9 to sort images

* Sat Sep 03 2005 Frederic Crozat <fcrozat@mandriva.com> 4.22-4mdk
- Update patch9 with background color based on product

* Tue Jun 28 2005 Andreas Hasenack <andreas@mandriva.com> 4.22-3mdk
- rebuilt without krb4

* Mon Jun 27 2005 Götz Waschk <waschk@mandriva.org> 4.22-2mdk
- drop sources 2,3

* Fri Jun 24 2005 Götz Waschk <waschk@mandriva.org> 4.22-1mdk
- use generated file lists for the hacks
- New release 4.22

* Sat May 14 2005 Götz Waschk <waschk@mandriva.org> 4.21-2mdk
- disable source 2

* Tue Apr 19 2005 Götz Waschk <waschk@linux-mandrake.com> 4.21-1mdk
- fix the --with options
- mkrel
- new hack: fliptext
- update file list
- rediff patch 9
- New release 4.21

* Wed Mar 16 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 4.20-3mdk
- fix icon name (Mdk bug #14650)

* Wed Mar 02 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 4.20-2mdk
- Fix menu name to remove conflict when we call "kcmshell screensaver"

* Thu Feb 24 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 4.20-1mdk
- Release 4.20
- new hacks : boing, boxfix, carousel, fiberlamp
- Regenerate patch15
- Remove patches 19 (no longer relevant), 20 (merged upstream)

* Thu Jan 06 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 4.19-2mdk
- Add patch20: fix launch xscreensaver into kde

* Thu Dec 16 2004 Götz Waschk <waschk@linux-mandrake.com> 4.19-1mdk
- new hacks: substrate, intermomentary, fireworkx and pinion
- new version

* Tue Aug 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 4.18-2mdk
- Add patch19: fix kscreebsacer path use '/usr/X11R6/bin' and not '/usr/bin'

* Mon Aug 16 2004 Götz Waschk <waschk@linux-mandrake.com> 4.18-3mdk
- new hacks: anemotaxism, memscroller
- remove double menu entry
- New release 4.17

* Wed Aug 04 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 4.16-3mdk
- Update patch 15 to use xvt instead of xterm (Mdk bug #9320)

* Sat Jul 31 2004 Götz Waschk <waschk@linux-mandrake.com> 4.16-2mdk
- add xscreensaver-demo menu entry

* Fri May 14 2004 Götz Waschk <waschk@linux-mandrake.com> 4.16-1mdk
- add new hacks: antinspect, fuzzyflakes, polyhedra, providence
- drop patch 19
- New release 4.16

* Sat Apr 03 2004 Götz Waschk <waschk@linux-mandrake.com> 4.15-1mdk
- fix description
- add new hacks: mismunch, noof, pacman, wormhole
- fix typo in the kerberos driver
- new version

* Mon Dec 15 2003 Götz Waschk <waschk@linux-mandrake.com> 4.14-4mdk
- fix deps of the subpackages

* Thu Nov 06 2003 Götz Waschk <waschk@linux-mandrake.com> 4.14-3mdk
- enable extrusion and move it to the extrusion subpackage
- rename --with xmatrix to --with plf
- move xmatrix and glmatrix to the matrix subpackage

* Wed Nov 05 2003 Götz Waschk <waschk@linux-mandrake.com> 4.14-2mdk
- remove xmatrix, glmatrix and extrusion (thanks to Christian Bricart)

* Tue Nov 04 2003 Götz Waschk <waschk@linux-mandrake.com> 4.14-1mdk
- add new hacks: apple2, blinkbox, fontglide, gleidescope, mirrorblob, pong,
- add new hack: xanalogtv
- add new program ljlatest
- fix gle buildrequires
- new version
- new version

* Tue Oct 21 2003 Frederic Lepied <flepied@mandrakesoft.com> 4.12-2mdk
- rebuild for rewriting /etc/pam.d file

